3dfx Tools Help

3dfx Tools Help - Voodoo3

Click on the small "+" to the left of an entry in the Table of Contents at the left to view the Topics available for that entry. Then click on a Topic to see its Help information.

Copyright © 2000 by 3dfx Interactive, Inc.

v1.0

All rights reserved. No part of this publication may be reproduced by any means without prior written permission from 3dfx Interactive, Inc.

www.3dfx.com

www.3dfxgamers.com


3dfx Tools Advanced Features

3dfx Tools Advanced Features Help

Direct3D Options:
These options control the advanced 3D rendering features of the Voodoo card for your applications that use Microsoft's Direct3D API.

3D Filter Quality - The display image can be filtered by averaging pixel values. By using this overlay filter, the image quality for full-screen 3D applications can be improved. Selecting the High option will average more pixels than the Normal option, resulting in a smoother but blurrier image, while the Normal option averages fewer pixels for a sharper image. The High setting uses two adjacent horizontal pixels from a line and the two pixels on the line below (a 2x2 box filter) to create one output pixel. The Normal setting uses four adjacent samples on a line (a 4x1 linear filter) to create one output pixel.

  • Automatic - Select this option to allow your system's software to use video filtering as needed.
  • Normal - Select this option to use the 4x1 linear filter.
  • High - Select this option to use the 2x2 box filter for a sharper video image.

Alpha Blending - This is used to enable dither subtraction on the destination color during alpha blending. When dither subtraction is enabled, the dither matrix used to convert 24-bit color to 16-bit color is subtracted from the destination color before applying the alpha-blending algorithm. Enabling dither subtraction is used to enhance image quality when performing alpha-blending. This is ignored when 32-bit color rendering is selected.

  • Automatic - Select this option to allow your system's software to use dither subtraction as needed.
  • Sharper - Select this option to enable dither subtraction for a sharper image.
  • Smoother - Select this option to disable dither subtraction for a smoother image.

Geometry Assist – This feature optimizes the geometry processing paths used by an advanced CPU like an Intel® Pentium® III or AMD-K7™ when rendering 3D scenes, for improved performance. Some 3D applications may also be able to use this assistance to provide even greater visual quality or lighting effects. If any of your 3D applications seems to become unstable with this feature enabled, then you may need to disable Geometry Assist when using that program.

NOTE: An Intel® Pentium® III or AMD-K7™ (or higher) is required for Geometry Assist. Also, after making any change to this setting, you must restart your system for the change to take effect.
  • Enable (Reboot required) – Select this option to use Geometry Assist for increased 3D rendering performance.
  • Disable (Reboot required) – Select this option if one of your 3D applications becomes unstable.

Level of Detail Bias - This control changes the Level of Detail (LOD) bias used for MIP mapping. Moving the slider control will either add or subtract a bias from the LOD computed during MIP mapping, making textures appear either sharper or blurrier. Adding bias can result in improved visual detail, but may reduce performance accordingly. Also, excessive bias can result in texture aliasing.

Maximum Buffered Frames - This allows you to limit the number of pending swap buffers to 1, 2, 3, 4, 5 or 6. A higher number of pending swap buffers can slow the system's response to input as all of the pending swap buffers are processed before the system proceeds to the next operation. Higher swaps leads to potentially higher frame rates, but at the same time increasing latency (waiting for the card to draw the frame).

MIP Map Dithering - Enabling MIP map dithering will cause the hardware to blend between pairs of MIP map levels to produce a full continuum of texture levels. This can result in much smoother texturing. However, this can also decrease performance because dithered MIP Maps cannot be multi-textured.

  • Disable - Select this option to disable MIP map dithering.
  • Enable - Select this option to enable MIP map dithering.

Z-buffer Optimization - This entry enables an extension for optimizing the use of the Z-buffer. Selecting this option will allow for more effective use of the Z-buffer and may increase performance.

  • Enable – Select this option to optimize the use of the Z-buffer for improved performance in some applications.
  • Disable – Select this option if any of your applications show display problems while using the optimized Z-buffer setting.

OpenGL/Glide Options
These options control the advanced 3D rendering features of the Voodoo card for your applications that use OpenGL or Glide.

3D Filter Quality - The display image can be filtered by averaging pixel values. By using this overlay filter, the image quality for full-screen 3D applications can be improved. Selecting the High option will average more pixels than the Normal option, resulting in a smoother but blurrier image, while the Normal option averages fewer pixels for a sharper image. The High setting uses two adjacent horizontal pixels from a line and the two pixels on the line below (a 2x2 box filter) to create one output pixel. The Normal setting uses four adjacent samples on a line (a 4x1 linear filter) to create one output pixel.

  • Automatic - Select this option to allow your system's software to use video filtering as needed.
  • Normal - Select this option to use the 4x1 linear filter.
  • High - Select this option to use the 2x2 box filter for a sharper video image.

Alpha Blending - This is used to enable dither subtraction on the destination color during alpha blending. When dither subtraction is enabled, the dither matrix used to convert 24-bit color to 16-bit color is subtracted from the destination color before applying the alpha-blending algorithm. Enabling dither subtraction is used to enhance image quality when performing alpha-blending. This is ignored when 32-bit color rendering is selected.

  • Automatic - Select this option to allow your system's software to use dither subtraction as needed.
  • Sharper - Select this option to enable dither subtraction for a sharper image.
  • Smoother - Select this option to disable dither subtraction for a smoother image.

Depth Precision - This feature optimizes the precision used for depth calculations in 16-bit modes to improve performance, especially at higher resolutions. This optimization could also produce some display artifacts or visual defects in some programs.

  • Disable - Select this option to use normal depth precision.
  • Fast - This setting provides optimized depth precision, and may produce some visual defects in some programs.
  • Faster - This setting provides maximum depth precision optimization for faster performance, but it may produce more visual defects.

Glide Splash Screen - The 3dfx Glide logo screen appears when a program starts that uses the Glide API.

  • Enable - Select this option to allow the Glide splash screen to be displayed when your Glide programs start.
  • Disable - Select this option to prevent the Glide splash screen from being displayed when your Glide programs start.

Level of Detail Bias - This control changes the Level of Detail (LOD) bias used for MIP mapping. Moving the slider control will either add or subtract a bias from the LOD computed during MIP mapping, making textures appear either sharper or blurrier. Adding bias can result in improved visual detail, but may reduce performance accordingly. Also, excessive bias can result in texture aliasing.

Limit Texture Memory - This can be used to specify a limit of 2MB on the amount of texture memory reserved for the Texture Mapping Unit (TMU) in a Glide application. Some Glide applications, especially older Glide games, may require this 2MB limit.

  • Software Controlled - Select this option to allow your Glide applications to reserve the amount of texture memory they require.
  • Limit Texture Memory to 2MB - Select this option to limit the amount of texture memory reserved for the TMU to 2MB. Some Glide applications may require this setting.

Maximum Buffered Frames - This allows you to limit the number of pending swap buffers to 0, 1, 2, or 3. A higher number of pending swap buffers can slow the system's response to input as all of the pending swap buffers are processed before the system proceeds to the next operation. Higher swaps leads to potentially higher frame rates, but at the same time increasing latency (waiting for the card to draw the frame).

MIP Map Dithering - Enabling MIP map dithering will cause the hardware to blend between pairs of MIP map levels to produce a full continuum of texture levels. This can result in much smoother texturing. However, this can also decrease performance because dithered MIP Maps cannot be multi-textured.

  • Disable - Select this option to disable MIP map dithering.
  • Enable - Select this option to enable MIP map dithering.

Triple Buffering - Enabling Triple Buffering will allocate a third frame buffer. This frame buffer can increase performance by enabling the hardware to render at the same time that the 3D application performs other tasks. However, the additional frame buffer required for this uses up video memory that could otherwise be used for storing textures. Enabling Triple Buffering could hurt the performance of your 3D applications that use a lot of textures.

  • Disable - Select this option to disable Triple Buffering.
  • Enable - Select this option to enable Triple Buffering.

V Sync - This feature synchronizes a game’s maximum 3D rendering frame-rate to the vertical refresh rate selected for the current display mode. With a 75 Hz vertical refresh rate, for example, a game with V Sync enabled would not be able to render frames faster than 75 times a second, which can result in pauses or lags in the on-screen action as the rendering is delayed to synchronize it with the next screen refresh.

Disable V Sync to allow a game to render frames as fast as it can, even if that rate exceeds the screen’s current vertical refresh rate. This can produce a more fluid and continuous gaming experience, but it can also allow for some screen tearing or artifacts under certain rare conditions.

  • Software Controlled - Select this option to allow your programs to choose the V Sync setting.
  • Disable - Select this option to disable V Sync for better 3D rendering performance.
  • Enable - Select this option to enable V Sync if you see screen tearing or artifacts.

Direct3D Options

Top

OpenGL/Glide Options

Copyright © 2000 by 3dfx Interactive, Inc.


3dfx Tools Color Help

Selections:

Controls

Gamma Settings - The controls in the "Gamma Settings" group allow you to increase or decrease the color brightness levels of your display. If your display seems too dark or too bright, move the Gamma slider controls to the left to decrease the Gamma levels or to the right to increase the Gamma levels. If you need to adjust the relative color levels for your display, then remove the check from the "Lock Gamma" slider controls to move the Gamma slider controls for each color separately (R = Red, G = Green, B = Blue). The default Gamma Setting is 1.00 for each color.

You can adjust the Gamma settings for your Windows Desktop itself, or you can separately adjust the Gamma settings to use for your Direct3D or Glide/OpenGL applications, and for Video Overlay applications like the Windows Media Player or a TV input device. Please note that any Gamma adjustments you select for your Direct3D or Glide/OpenGL applications will only be used when such programs are running in full-screen mode. Direct3D or Glide/OpenGL applications running in a window on your Desktop will use your Desktop Gamma settings.

Selection - The four options in the "Selection" group allow you to choose which set of the Voodoo card's features you want to change. When the "Desktop" option is selected, you can change the Voodoo card's Gamma Settings for your Windows desktop environment itself. Please note that this option only affects the non-3D functions of Microsoft's DirectX. Use the "Direct3D" option to change the settings for Microsoft's DirectX. Use the "Glide / OpenGL" option to adjust the settings for your programs that use either of those 3D API's.

  • Desktop - Use this option to adjust the Gamma Settings, Contrast, or Brightness for your Windows Desktop (non-3D) applications.
  • Direct3D - This option allows you to change the Gamma Settings for your Direct3D applications (when run in full-screen mode).
  • Glide / OpenGL - This option allows you to change the Gamma Settings for your Glide and OpenGL applications (when run in full-screen mode).
  • Video Overlay - Select this option to change the Gamma Settings, Contrast, or Brightness for your Video Overlay applications.

Controls:

Top

Selections

Display Customization - Use the controls in this section to create a set of customized display settings for your Windows Desktop, save them as a group under a name of your choice, and then select from among the saved configurations shown in the "Color Scheme:" drop-down selection box. This option is only available for use with the "Desktop" settings.

Contrast - This option allows you to change the contrast for your display by clicking on the "+" and "-" buttons. The Contrast controls are only available for use in the "Desktop" and "Video Overlay" settings.

Brightness - This option allows you to change the brightness for your display by clicking on the "+" and "-" buttons. The Brightness controls are only available for use in the "Desktop" and "Video Overlay" settings.

Reset to Previous - Click this button to undo any changes you have made to the options for the current selection (Desktop, Direct3D, or Glide / OpenGL).

Factory Defaults - Click this button to restore the original factory default values for the currently selected option.

Load Bitmap - Click this button to select a bitmap from your system to use for the Gamma display shown in the monitor on the page.

Selections

Top

Controls


3dfx Tools Info Help

Click on the small "+" to the left of an entry to view the details for that item. The information available for your Voodoo card includes:

  • Bus Type (AGP or PCI)
  • Optional Outputs (DVI or TV Out, if supported by your 3dfx card)
  • Total Video Memory
  • Graphics Chips (the number of 3dfx graphics chips on your card)
  • Graphics Clock Speed
  • BIOS Version

Information about the Display Driver that you are currently using is also shown, as well as the 3dfx Tools Version currently installed on your system. Other items listed on this page give you access to information about the current and previous display adapters and monitors you have used with your system.

Save - Allows you to save the information on this page in a standard text file (.TXT) or in an HTML file (.HTM).

Print - Allows you to print the information on this page to your system's default printer, if you have a printer connected to your computer.


3dfx Tools TV Out Help

NOTE: The TV output feature is a hardware option that may not be supported by your model of the Voodoo card. Please refer to the User’s Guide for your Voodoo card to see if your model of the card supports this feature. If it does not, then the TV Out page of 3dfx Tools will not be available on your system.

Also, be sure that you have a compatible TV connected to the TV output connector of your Voodoo card, that the TV is on, and that the proper input source is selected before using the controls on this page. It is best to have all of your equipment connected and active before you boot-up your computer.

Signal Settings - The controls in this group allow you to activate and configure the TV output settings for your Voodoo card.

Enable output to TV - Check this box to enable your Voodoo card’s TV output connector, then click on “OK” or “Apply” to activate TV output. A dialog box will appear notifying you that your screen may flicker when the TV output connector is activated, and that you can simply wait 15 seconds and the previous output setting will be restored if the screen does not appear correctly on your TV.

When using TV out, don’t use my monitor - Place a checkmark in this box to disable the Voodoo card’s SVGA output signal through its Monitor Connector. When you apply this option, your monitor’s screen will blank and you will only be able to control your system by looking at the TV screen. Be sure the computer’s output is appearing properly on your TV screen before you engage this option.

Signal Type - When the 3dfx Tools software is first installed, it attempts to detect the country in which it is being used from the Regional Settings of the Windows Control Panel. 3dfx Tools then uses this information to determine the compatible TV output signal type or format for that country. If the country cannot be determined, then the 3dfx Tools software will use the “NTSC M” video signal format for the TV output of the Voodoo card.

You can use the “Signal Type:” control to select a specific country if you want to use that country’s default TV signal type, or you can select a TV signal type or format directly from the list provided. The following TV signal formats are supported:

  • NTSC M
  • PAL BDGHI
  • PAL M
  • PAL N
  • PAL Nc

Connector - This control allows you to specify the type of video input connector the TV has and to which you are connecting your Voodoo card’s TV output.

Auto - Select this option to allow your Voodoo card and 3dfx Tools software to automatically determine the proper type of signal for your TV.

Composite - Select this option if you are connecting the Voodoo card’s TV output connector to the composite video (or video line) input connector of a TV, using an S-Video-to-composite-video adapter cable.

S-Video - Select this option if you are connecting the Voodoo card’s TV output connector to the S-Video input connector of a TV using an S-Video cable.

Centering - This group of buttons allows you to control the placement of the Voodoo3 card’s TV output display on your TV screen.

  • Up - Clicking this button will move the display up on your TV screen.

  • Down - Clicking this button will move the display down on your TV screen.

  • Left - Clicking this button will move the display to the left on your TV screen.
  • Right - Clicking this button will move the display to the right on your TV screen.

Picture Settings - The controls in this group allow you to adjust some of the display options for your Voodoo3 card’s TV output, including Screen Fit, Flicker Filter, Color, and Brightness.

Adjust - Use this control to select the display option you want to adjust, then use the slider control below it to adjust the settings for that option.

Screen Fit - Select this option and use the slider control to change the dimensions of the display on your TV screen. Adjusting the Screen Fit and using the Centering controls can allow you to get the best possible display on your TV screen.

Flicker Filter - Select this option and use the slider control to change the operation of the Flicker Filter, which can reduce the flickering effect often seen on TV because of interlaced video signals.

Color - When this option is selected, the slider control adjusts the color level of the TV output, allowing you to reduce the color level of the display to produce a black-and-white picture.

Brightness - When this option is selected, the slider control adjusts the brightness of the TV output, allowing you to brighten or darken the display.

OK - Click this button to activate the changes you have made and close the 3dfx Tools dialog box.

Cancel - Click this button to cancel any changes you have made and close the 3dfx Tools dialog box.

Apply - Click this button to activate the changes you have made without closing the 3dfx Tools dialog box.


3dfx Tools Manager

Display card selection box (multi-monitor systems only) - If you are using a multi-monitor configuration in your computer, then you will need to use the drop-down selection box in the 3dfx Tools Manager to choose the 3dfx Voodoo card in order to modify its 3dfx Tools configuration options.

3dfx Tools Status list - Each of the 3dfx Tools supported by the current display card are listed here. A check in the checkbox for each of the tools causes the properties page for that tool to be included in the 3dfx Tools Hub and in the Windows "Advanced Properties" dialog box. Removing the check form the checkbox removes the corresponding 3dfx Tools page from both the 3dfx Tools Hub and the Windows "Advanced Properties" dialog box.

TaskMan icon checkbox - A check in this checkbox causes the 3dfx Tools TaskMan icon to appear in the System Tray area of your Windows Taskbar each time your system restarts. Removing the check form this checkbox prevents the 3dfx Tools TaskMan icon from loading when your system restarts.